Bug 13511 - cli_splice() doesn't correctly return written bytes as it's uninitialized in libsmbclient code.
cli_splice() doesn't correctly return written bytes as it's uninitialized in ...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-06 18:44 UTC by Jeremy Allison
Modified: 2018-07-28 04:04 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.7.next, 4.8.next. (2.39 KB, patch)
2018-07-09 20:10 UTC, Jeremy Allison
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-07-06 18:44:03 UTC
Found by Bailey Berro <baileyberro@chromium.org> who posted a patch to samba-technical.

Patch to follow.
Comment 1 Jeremy Allison 2018-07-09 20:10:02 UTC
Created attachment 14315 [details]
git-am fix for 4.7.next, 4.8.next.

Clean cherry-pick from master.
Comment 2 David Disseldorp 2018-07-09 20:28:07 UTC
@Karo: please queue the attached patch
Comment 3 Karolin Seeger 2018-07-12 11:09:15 UTC
Pushed to autobuild-v4-[8,7]-test.
Comment 4 Karolin Seeger 2018-07-28 04:04:37 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!